## fmultivar 260.72

=== inst/unitTests/Makefile ===
PKG=fMultivar
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
    cd ${TOP}/..;\
    ${R} CMD INSTALL ${PKG}

test: # Run unit tests
    export RCMDCHECK=FALSE;\
    cd ${TOP}/tests;\
    ${R} --vanilla --slave < ${SUITE}

## fmultivar 2100.76

=== DESCRIPTION ===
Package: fMultivar
Version: 2100.76
Revision: 4277
Date: 2009-09-28
Title: Multivariate Market Analysis
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, sn, timeDate, timeSeries, fBasics
Suggests: RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 15:21:28 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-29 18:44:17

## fmultivar 2152.77

=== DESCRIPTION ===
Package: fMultivar
Version: 2152.77
Revision: 5386
Date: 2012-11-07
Title: Multivariate Market Analysis
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, sn, timeDate, timeSeries, fBasics
Suggests: RUnit, tcltk
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2012-11-07 09:50:04 UTC; yankee
Repository: CRAN
Date/Publication: 2012-11-07 12:32:23

=== inst/unitTests/Makefile ===
PKG=fMultivar
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fmultivar 3011.78

=== DESCRIPTION ===
Package: fMultivar
Title: Rmetrics - Analysing and Modeling Multivariate Financial Return
        Distributions
Date: 2014-09-04
Version: 3011.78
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre]
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
	"Financial Engineering and Computational Finance"
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: cubature, mvtnorm, sn
Suggests: methods, spatial, RUnit, tcltk, akima
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-09-06 13:26:08 UTC; Tobi
NeedsCompilation: no
X-CRAN-Comment: Archived on 2014-08-07 as check ERRORs were not fixed
        even after several reminders.
Repository: CRAN
Date/Publication: 2014-09-06 17:55:54

## fmultivar 3042.80

=== DESCRIPTION ===
Package: fMultivar
Title: Rmetrics - Analysing and Modeling Multivariate Financial Return
        Distributions
Date: 2017-11-12
Version: 3042.80
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a  collection of functions 
	to manage, to investigate and to analyze bivariate and multivariate 
	data sets of financial returns.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: cubature, mvtnorm, sn, methods, grDevices, graphics, stats
Suggests: spatial, RUnit, tcltk, akima
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-16 17:28:31 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-16 21:52:18 UTC

=== debian/changelog ===
fmultivar (3042.80-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 06:02:33 -0500

fmultivar (3042.80-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 21:57:54 -0600

fmultivar (3011.78-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:18:35 -0500

fmultivar (3011.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Add new Build-Depends: on r-cran-cubature 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 09 Sep 2014 17:11:33 -0500

fmultivar (2152.77-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 07:09:55 -0500

fmultivar (2152.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Nov 2012 07:23:36 -0600

fmultivar (2100.76-3) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Oct 2011 11:52:30 -0500

fmultivar (2100.76-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 17:18:43 -0600

fmultivar (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 20:23:57 -0500

fmultivar (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:26:03 -0500

fmultivar (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 21:15:08 -0500

fmultivar (260.72-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics (>= 260.72)
  * debian/control: Added Build-Depends on xfvb for tcltk lazyload at build

  * debian/control: Changed Architecture: to 'all' as package no longer 
    contains compiled code; and use Build-Depends-Indep 
  
  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Nov 2007 20:24:53 -0600

fmultivar (251.70-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated (Build-)Depends: to 'r-base-(core|dev) (>= 2.5.1)'

  * DESCRIPTION: Set LazyLoad: to 'no' as builds would abort on autoloads of
    tcltk when there is no $DISPLAY defined.
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jul 2007 22:20:16 -0500

fmultivar (240.10068-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Build-Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Added (Build-)Depends: for r-cran-{fecofin,mvtnorm,mgcv}
  * debian/contrpl: Added missing Depends: ${shlibs:Depends} 
  * debian/control: Standards-Version: upgradeded to 3.7.2

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2006 17:35:51 -0600

fmultivar (221.10065a-1) unstable; urgency=low

  * Updated to bugfix upstream release made hours after the previous
    release, and unfortunately with the same upstream version number --
    so appended an 'a' here to distinguish it.
  * This upstream release does not contain src/46C-OutlierDetection.f
    (and the R file sourcing it) -- so that gfortran can compile it.
    We therefore reverse the f2c hack from 221.10065-2.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  1 Jun 2006 17:41:54 -0500

fmultivar (221.10065-2) unstable; urgency=low

  * src/46C-OutlierDetection.f: Handcompiled with f2c (Closes: #369003)
  * src/Makevars: Added -lf2c
  * debian/control: Added Build-Depends: on f2c

  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 
  * debian/control: Hence Build-Depends: updated to r-base-dev (>= 2.3.0)

  * debian/control: Standards-Version: increased to 3.7.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 May 2006 10:26:51 -0500

fmultivar (221.10065-1) unstable; urgency=low

  * New upstream release
  
  * debian/watch: One more fix for regular expression 



=== debian/control ===
Source: fmultivar
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fmultivar
Vcs-Git: https://salsa.debian.org/edd/r-cran-fmultivar.git
Homepage: https://cran.r-project.org/package=fMultivar

Package: r-cran-fmultivar
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-fbasics (>= 290.76), r-cran-sn, r-cran-mvtnorm, r-cran-cubature
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fMultivar
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fMultivar provides multivariate analysis for financial time
 series.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fmultivar package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fMultivar_([-\d\.]*)\.tar.gz

## fmultivar 3042.80.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Rmetrics - Analysing and Modeling Multivariate Financial Return
         Distributions
 Date: 2017-11-12
-Version: 3042.80
+Version: 3042.80.1
 Author: Diethelm Wuertz [aut],
 	Tobias Setz [cre],
 	Yohan Chalabi [ctb]
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: https://www.rmetrics.org
 NeedsCompilation: no
-Packaged: 2017-11-16 17:28:31 UTC; Tobias Setz
+Packaged: 2020-03-07 10:25:30 UTC; hornik
 Repository: CRAN
-Date/Publication: 2017-11-16 21:52:18 UTC
+Date/Publication: 2020-03-07 11:06:19 UTC

=== debian/changelog ===
fmultivar (3042.80.1-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 May 2020 15:20:22 -0500

fmultivar (3042.80.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Mar 2020 08:09:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fmultivar
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fmultivar.git
 Homepage: https://cran.r-project.org/package=fMultivar

## fmultivar 4021.83

=== DESCRIPTION ===
Package: fMultivar
Title: Rmetrics - Modeling of Multivariate Financial Return
        Distributions
Date: 2022-07-14
Version: 4021.83
Authors@R: c( person("Diethelm", "Wuertz", role = "aut"),
              person("Tobias", "Setz", role = "aut"),
              person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-Project.org"),
	      person("Yohan", "Chalabi", role = "aut"),
	      person("Martin", "Maechler", role = "ctb"),
	      person("CRAN", "team", role = "ctb") )
Description: A collection of functions to manage, investigate and analyze
        bivariate and multivariate data sets of financial returns.
Imports: fBasics, cubature, mvtnorm, sn, methods, grDevices, graphics,
        stats
Suggests: RUnit, tcltk
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Stefan Theussl [aut, cre],
  Yohan Chalabi [aut],
  Martin Maechler [ctb],
  CRAN team [ctb]
Maintainer: Stefan Theussl <Stefan.Theussl@R-Project.org>
Repository: CRAN
Repository/R-Forge/Project: rmetrics
Repository/R-Forge/Revision: 6192
Repository/R-Forge/DateTimeStamp: 2022-07-14 12:15:47
Date/Publication: 2022-07-18 11:30:06 UTC
Packaged: 2022-07-14 12:32:08 UTC; rforge

=== debian/changelog ===
fmultivar (4021.83-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jul 2022 07:21:21 -0500

fmultivar (3042.80.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jun 2022 11:17:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fmultivar
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fmultivar.git
 Homepage: https://cran.r-project.org/package=fMultivar

## fmultivar 4031.84

=== DESCRIPTION ===
Package: fMultivar
Title: Rmetrics - Modeling of Multivariate Financial Return
        Distributions
Date: 2023-07-07
Version: 4031.84
Authors@R: c( person("Diethelm", "Wuertz", role = "aut"),
              person("Tobias", "Setz", role = "aut"),
              person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-Project.org"),
	      person("Yohan", "Chalabi", role = "ctb"),
	      person("Martin", "Maechler", role = "ctb"),
	      person("CRAN", "team", role = "ctb") )
Description: A collection of functions inspired by Venables and Ripley (2002) <doi:10.1007/978-0-387-21706-2>
             and Azzalini and Capitanio (1999) <arXiv:0911.2093> to manage, investigate and analyze
             bivariate and multivariate data sets of financial returns.
Imports: fBasics, cubature, mvtnorm, sn, methods, grDevices, graphics,
        stats
Suggests: RUnit, tcltk
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2023-07-07 17:26:47 UTC; theussl
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Stefan Theussl [aut, cre],
  Yohan Chalabi [ctb],
  Martin Maechler [ctb],
  CRAN team [ctb]
Maintainer: Stefan Theussl <Stefan.Theussl@R-Project.org>
Repository: CRAN
Date/Publication: 2023-07-11 08:40:35 UTC

=== debian/changelog ===
fmultivar (4031.84-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Jul 2023 06:16:57 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-fbasics (>= 290.76), r-cran-sn, xvfb, xauth, xfonts-base, r-cran-mvtnorm, r-cran-cubature
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fmultivar
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fmultivar.git
 Homepage: https://cran.r-project.org/package=fMultivar
